Return to list

migration minieure

avatar provided by gravatar.com phil89 | Jan 5, 2010 7:10:10 AM

migration minieure

Bonjour

J'ai actuellement un lutece qui date de mai 2009, si je remplace le lute_core par celui de novembre ?
Aurais je upgrader ma version, les plug-in ne semble pas avoir changé ?

Merci d'avance
Philippe

Vote Score 26

Share

Report

Commentaires (3 )

Posted by : TLA | 06/01/2010 10:31:45
humm ... non, le mieux est de regénérer le site Lutece depuis ton pom.xml (dans lequel tu viendrais de changer la dépendance du core de 2.2.7 vers 2.3.2) via la commande
mvn lutece:site-assembly
Il faut, pour cela, avoir suivi les procédures de création de site décrites dans les 4 premiers tutoriaux ici: http://dev.lutece.paris.fr/wikilutece/index.php?title=Tutoriels les 2 tuts du milieu sont très important à comprendre (ils décrivent plus l'utilisation de Maven que de Lutece d'ailleurs) Il faut ensuite exécuter les scripts de mise à jour de la base de donnée présent ici : http://dev.lutece.paris.fr/svn/lutece/portal/trunk/core/src/sql/upgrade/ Dans ton cas, ca serait, dans l'ordre, update_db_lutece_core-2.2.8-2.3.0.sql puis update_db_lutece_core-2.3.0-2.3.1.sql
 
Posted by : phil89 | 05/01/2010 22:03:09
Bonsoir C'est la version 2-2-7 presente en mai 2009 dont le noyeau a changé ? je pense faire un "copier coller " du jar "core"
 
Posted by : TLA | 05/01/2010 10:21:09
Bonjour Philippe, A priori, depuis 1 an, nous avons fait surtout l'ajout de fonctionnalités et corrections de bugs. Pas de modification dans les API. Donc la transition devrait être transparente. De quelle version vers quelle version compte tu migrer ? Thibaut
 

 Top of the page

Return to list